/**
 * <copyright>
 *   IBM WebSphere Application Developer
 *   (C) Copyright IBM Corp. 2001
 * </copyright>
 */
package com.ibm.etools.xmlschema.beans;

import org.w3c.dom.*;

class NodeString 
{
  private short nodeType = Node.TEXT_NODE;
  private String nodeValue = null;

  private NodeString()
  {
  }
  
  public NodeString(short type, String value)
  {
    nodeType = type;
    nodeValue = value;
  }
  
  public short getNodeType()
  {
    return nodeType;
  }
  
  public String toString()
  {
    return nodeValue;
  }
}
